<?php
Namespace Firebase;
use \DateTime;
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
require_once path.sistem.'firebaseLib.php';
function save_pengaduan($data){
	$nomor = get_nomor_pengaduan();
	$fotoktp = upload_image($data['fotoktp'],'id-'.$nomor);
	$fotobukti = upload_image($data['fotobukti'],'bukti-'.$nomor);
	$fotoktp = (empty($fotoktp) || $fotoktp=='') ? '' : site.media.'images/'.$fotoktp;
	$fotobukti = (empty($fotobukti) || $fotobukti=='') ? '' : site.media.'images/'.$fotobukti;
	$tanggal=date('Y-m-d');
	$datasql=array('nomor'=>$nomor,'tanggal'=>$tanggal,'nama'=>$data['nama'],'alamat'=>$data['alamat'],'telepon'=>$data['telepon'],'email'=>$data['email'],'foto_id'=>$fotoktp,'kategori'=>$data['kategori'],'pengaduan'=>$data['pengaduan'],'foto'=>$fotobukti,'status'=>1,'modified'=>$nomor);
	$h=save_data('pengaduan', $datasql);
	if($h){
		save_data('status', array('nomor'=>$nomor,'status'=>1,'tanggal'=>date("Y-m-d")));
		$firebase = new FirebaseLib(databaseURL, FirebaseToken);
		if(empty($data['email'])) $data['email']='';
		$datafb=array('id_keluhan'=>strval($nomor),'tanggal'=>$tanggal,'nama_pelapor'=>$data['nama'],'alamat'=>$data['alamat'],'no_hp'=>$data['telepon'],'no_indentitas'=>'','identitas_photo'=>$fotoktp,'kategori'=>kategori_fb($data['kategori']),'keterangan'=>$data['pengaduan'],'bukti_photo'=>$fotobukti,'status'=>'diterima','email'=>$data['email'],'modified'=>strval($nomor),'pengurus'=>'','teruskan'=>'');
		$statusfb=array('tanggal'=>date("Y-m-d"));
		$firebase->set('/keluhan/'.$nomor,$datafb);
		$firebase->set('/status/'.$nomor.'/diterima',array('tanggal'=>$tanggal));
		$msg = $nomor;
	} else
		$msg = 'Error';
	header('Content-type: application/json');
	echo json_encode($msg);
}
function get_nomor_pengaduan(){
	$d = new DateTime();
	return $d->getTimestamp();
}
function kategori_fb($k){
	$r=array(1=>'Ketertiban Umum dan Ketentraman Masyarakat','Penegakan Peraturan Daerah','Damkar dan Perlindungan Masyarakat');
	return $r[$k];
}

function status_fb($k){
	$r=array(1=>'diterima','disposisi','verifikasi','ditangani','selesai','dibatalkan');
	return $r[$k];
}

?>