<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
// CLEAN - cleaning query

function clean($data) {
	global $db;
	$data = trim(htmlentities(strip_tags($data)));
	if (get_magic_quotes_gpc())
	$data = stripslashes($data);
	$data = $db->escape($data);
	return $data;
}

// BREAK TO NEW LINE
function br2nl($text){
    $text = str_replace('\r\n','',str_replace("<br />","\n",preg_replace('/<br\\\\s*?\\/??>/i', "\\n", $text)));
    return $text;
}

function filter($data,$tipe){
	$data=sanitize($data,$tipe);
	$data=validasi($data,$tipe);
	return $data;
}
function validasi($data,$tipe){
	$t=array('float'=>FILTER_VALIDATE_FLOAT,'int'=>FILTER_VALIDATE_INT,'string'=>FILTER_SANITIZE_STRING,'ip'=>FILTER_VALIDATE_IP,'url'=>FILTER_VALIDATE_URL,'email'=>FILTER_VALIDATE_EMAIL);
	$data = filter_var($data, $t[$tipe]);
	return $data;
}

function sanitize($data,$tipe){
	$t=array('email'=>FILTER_SANITIZE_EMAIL,'encoded'=>FILTER_SANITIZE_ENCODED,'quotes'=>FILTER_SANITIZE_MAGIC_QUOTES,'float'=>FILTER_SANITIZE_NUMBER_FLOAT,'int'=>FILTER_SANITIZE_NUMBER_INT,'chars'=>FILTER_SANITIZE_FULL_SPECIAL_CHARS,'string'=>FILTER_SANITIZE_STRING,'url'=>FILTER_SANITIZE_URL);
	$data = filter_var($data, $t[$tipe]);
	return $data;
}

?>