var config = {
	apiKey: "AIzaSyCNT89uzQ6lRrBJSqriaFW4AoCNcHfNGe8",
	authDomain: "complaint-fe33b.firebaseapp.com",
	databaseURL: "https://complaint-fe33b.firebaseio.com",
	projectId: "complaint-fe33b",
	storageBucket: "complaint-fe33b.appspot.com",
	messagingSenderId: "225015624878"
};
firebase.initializeApp(config);

firebase.database().ref('keluhan').orderByChild('id_keluhan').limitToLast(5).on('child_added', function(data) {
	var stat = '';
	if(data.val().status=='diterima' || data.val().status=='dibatalkan' || data.val().status=='selesai') {
		stat = 'status/'+data.val().id_keluhan+'/'+data.val().status;
	} else {
		stat = 'status/'+data.val().id_keluhan+'/proses/'+data.val().status;
	}
	firebase.database().ref(stat).once('value', function(snap) {
    	$("#area-pengaduan").prepend(show_pengaduan(data.val(),snap.val().tanggal));
    });
});

firebase.database().ref('keluhan').on('child_removed', function(data) {
	remove_pengaduan(data.val().id_keluhan);
});

firebase.database().ref('keluhan').on('child_changed', function(data) {
	$("#status-"+data.val().id_keluhan).addClass(data.val().status);
	var stat = '';
	if(data.val().status=='diterima' || data.val().status=='dibatalkan' || data.val().status=='selesai') {
		stat = 'status/'+data.val().id_keluhan+'/'+data.val().status;
	} else {
		stat = 'status/'+data.val().id_keluhan+'/proses/'+data.val().status;
	}
	firebase.database().ref(stat).once('value', function(snap) {
		$("#status-"+data.val().id_keluhan).html('<i class="ion-calendar"></i> '+ucfirst(data.val().status)+' : '+show_tanggal(snap.val().tanggal));
	});
});

function show_tanggal(tgl){
	var monthNames = ["Januari", "Februari", "Maret", "April", "Mei", "Juni","Juli", "Agustus", "September", "Oktober", "November", "Desember"];
	var d = new Date(tgl);
	return d.getDate()+' '+monthNames[d.getMonth()]+' '+d.getFullYear();
}

function ucfirst(string) {
    return string[0].toUpperCase() + string.slice(1);
}

function show_pengaduan(data,stat_tgl){
	var html = '<div id="'+data.id_keluhan+'" class="kotak wow animated bounceInUp">';
	html += '<div class="isi-kotak">';
	html += '<div class="user-block">';
	html += '<div class="nomor pull-right"><i class="ion-bookmark"></i> '+data.id_keluhan+'</div>';
	html += '<img class="img-rounded" src="tema/new/assets/img/avatar5.png" alt="user image" />';
	html += '<span class="username">'+data.nama_pelapor+'</span>';
	html += '<span class="description">'+show_tanggal(data.tanggal)+'</span>';
	html += '</div>';
	html += '<p>'+data.keterangan+'</p>';
	html += '</div>';
	html += '<div class="footer-kotak">';
	html += '<div class="row">';
	html += '<div class="col-md-7 footer-kategori">';
	html += '<i class="ion-folder"></i>'+data.kategori;
	html += '</div>';
	html += '<div class="col-md-5">';
	html += '<span id="status-'+data.id_keluhan+'" class="pull-right status-pengaduan '+data.status+'"><i class="ion-calendar"></i> '+ucfirst(data.status)+' : '+show_tanggal(stat_tgl)+'</span>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
    return html;
}
function show_lacak(data,stat_tgl){
	var html = '<div id="'+data.id_keluhan+'" class="kotak">';
	html += '<div class="isi-kotak">';
	html += '<div class="user-block">';
	html += '<div class="nomor pull-right"><i class="ion-bookmark"></i> '+data.id_keluhan+'</div>';
	html += '<img class="img-rounded" src="view/new/assets/img/avatar5.png" alt="user image" />';
	html += '<span class="username">'+data.nama_pelapor+'</span>';
	html += '<span class="description">'+show_tanggal(data.tanggal)+'</span>';
	html += '</div>';
	html += '<p>'+data.keterangan+'</p>';
	html += '</div>';
	html += '<div class="footer-kotak">';
	html += '<div class="row">';
	html += '<div class="col-md-7 footer-kategori">';
	html += '<i class="ion-folder"></i>'+data.kategori;
	html += '</div>';
	html += '<div class="col-md-5">';
	html += '<span id="status-'+data.id_keluhan+'" class="pull-right status-pengaduan '+data.status+'"><i class="ion-calendar"></i> '+ucfirst(data.status)+' : '+show_tanggal(stat_tgl)+'</span>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
    return html;
}
function remove_pengaduan(id) {
    var elem = document.getElementById(id);
    return elem.parentNode.removeChild(elem);
}

$('#form-pengaduan').submit(function(event) {
	event.preventDefault();
	$.ajax({
		type: 'POST',
		url: 'pengaduan',
		data: new FormData(this),
		processData: false,
		contentType: false,
		success: function(data) {
			$("#msg-pengaduan").append(show_alert(data));
			$("#form-pengaduan")[0].reset();
			$(".fileupload").addClass('fileupload-new').removeClass('fileupload-exists');
		}
	});
});

$('#form-lacak').submit(function(event) {
	event.preventDefault();
	$.ajax({
		type: 'POST',
		url: 'pengaduan',
		data: new FormData(this),
		processData: false,
		contentType: false,
		success: function(data) {
			lacak_pengaduan(data);
		}
	});
});

$("#tombol-reset").click(function(e) {
	$(".fileupload").addClass('fileupload-new').removeClass('fileupload-exists');
});

function show_alert(nomor){
var html = '<div class="alert alert-success alert-dismissable wow animated zoomIn">';
	html += '<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>';
	html += '<strong>Sukses!</strong> Pengaduan anda akan segera kami layani.<br /><br />No. Pengaduan <strong>'+nomor+'</strong><br /><br />Silahkan catat No. Pengaduan anda untuk keperluan pelacakan!';
	html += '</div>';
	return html;
}

function lacak_pengaduan(data) {
	firebase.database().ref('keluhan').orderByChild('id_keluhan').equalTo(data).once('value', function(snap) {
		if(snap.val()){
			snap.forEach(function(d) {
	        	var stat = '';
				if(d.val().status=='diterima' || d.val().status=='dibatalkan' || d.val().status=='selesai') {
					stat = 'status/'+d.val().id_keluhan+'/'+d.val().status;
				} else {
					stat = 'status/'+d.val().id_keluhan+'/proses/'+d.val().status;
				}
				firebase.database().ref(stat).once('value', function(s) {
		    		$("#isi-pengaduan").html(show_lacak(d.val(),s.val().tanggal));
		    		$("#modal-pengaduan").modal('show');
				});
	    	});
	    } else {
	    	$("#modal-pengaduan").modal('show');
	    	$("#isi-pengaduan").html('<h4 align="center">Data Tidak ditemukan</h4>');
	    }
	});
}