<?php 
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
?>
<!DOCTYPE html>
<html lang="en">
   <head>
      <title><?=s('title')?></title>
      <!-- meta -->        
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
      <meta name="robots" content="index, follow" />
      <meta name="description" content="<?=s('description')?>" />
      <meta name="keywords" content="<?=s('keywords')?>" />
      <meta http-equiv="Copyright" content="SatPol PP Bondowoso" />
      <meta name="author" content="cooqiex" />
      <meta name="language" content="Indonesia" />
      <meta name="revisit-after" content="7" />
      <meta name="webcrawlers" content="all" />
      <meta name="rating" content="general" />
      <meta name="spiders" content="all" />
      <meta name="viewport" content="width=device-width, initial-scale=1" />
      <!-- /meta -->
      <!-- css -->
      <link rel="shortcut icon" href="<?=sitetema?>assets/img/favicon.ico">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/bootstrap.min.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/ionicons.min.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/owl.carousel.min.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/owl.theme.default.min.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/animate.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/css/style.css">
      <link rel="stylesheet" href="<?=sitetema?>assets/bootstrap-fileupload/bootstrap-fileupload.css" />

      <!--[if lt IE 9]>
           <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
           <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
       <![endif]-->

       <!--[if lt IE 9]>
           <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
       <![endif]-->
   </head>
   <body id="home">

      <!-- ****************************** Preloader ************************** -->

      <div id="preloader"></div>

      <!-- ****************************** Sidebar ************************** -->

      <nav id="sidebar-wrapper">
         <a id="menu-close" href="#" class="close-btn toggle"><i class="ion-ios-close-empty"></i></a>
         <?=menu(1, 'class="sidebar-nav"')?>
      </nav>

      <!-- ****************************** Header ************************** -->

      <header class="sticky" id="header">
         <section class="container">
            <section class="row" id="logo_menu">
               <section class="col-xs-8"><a class="logo" href="<?=site?>"><img src="<?=sitetema?>assets/img/satpolpp.png"></a></section>
               <section class="col-xs-4"><a id="menu-toggle" href="#" class="toggle wow rotateIn" data-wow-delay="1s"><i class="ion-navicon"></i></a></section>
            </section>
         </section>
      </header>

      <!-- ****************************** Banner Home ************************** -->

      <section id="banner">
         <section class="container">
            <a class="slidedown wow animated zoomIn" data-wow-delay="2s" href="#section-pengaduan"><i class="ion-ios-download-outline"></i></a>
            <section class="row">
               <div class="col-md-7">
                  <div class="row">
                     <div class="col-md-offset-1 sip-container col-md-4 hidden-xs hidden-sm">
                        <img class="wow animated bounceInDown" data-wow-duration="1.2s" src="<?=sitetema?>assets/img/logo2.png"></img>
                     </div>
                     <div class="col-md-offset-1 headings col-md-6">
                        <h3 class="wow animated fadeInDown">Sistem Informasi Pengaduan<br>Satpol PP Bondowoso</h3>
                        <p class="wow animated fadeInLeft">Ayo, Laporkan keluhan anda pada kami! Download Aplikasi SIP - Satpol PP Bondowoso di Playstore.</p>
                        <div class="row">
                           <div class="col-md-10">
                              <a href="https://play.google.com/store/apps/details?id=com.iwan.gray.complain"><img src="<?=sitetema?>assets/img/google.png" class="wow animated bounceInLeft" /></a>
                           </div>
                        </div>
                     </div>
                     
                  </div>
                  <h3 class="wow animated fadeInRight" style="color: #fff">Lacak Pengaduan</h3>
                  <div class="row subscribe-wrap">
                     <form id="form-lacak" role="form" method="POST">
                        <div class="col-xs-9">
                           <div class="form-group">
                              <input type="text" class="form-control wow animated fadeInUp" id="exampleInputEmail1" placeholder="Masukkan No. Pengaduan" name="nomor" required>
                              <input type="hidden" name="s" value="<?=get_token('tokenlacak')?>">
                           </div>
                        </div>
                        <div class="col-xs-2">
                           <button type="submit" class="btn-custom wow animated fadeInUp">
                           <i class="ion-ios-search"></i>
                           </button>
                        </div>
                     </form>
                  </div>
               </div>
               <div class="col-md-5 hidden-xs hidden-sm">
                  <div class="hand-container">
                  <img class="iphone-hand img_res wow animated bounceInUp" data-wow-duration="1.2s" src="<?=sitetema?>assets/img/iphone_hand.png"></img>
                  <div class="clearfix"></div>
                  </div>
               </div>
            </section>
         </section>
      </section>