<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
switch ($aksi) {
	case 'profil':
		profil_kontrol();
		break;
	case 'add':
		add_kontrol();
		break;
	case 'edit':
		edit_kontrol();
		break;
	case 'list':
	default:
		list_kontrol();
		break;
}

function profil_kontrol(){
	if(isset($_POST['id'])){
		$data=get_pejabat($_POST['id']);?>
		<div class="row">
		<div class="col-md-offset-2 col-md-8">
		<div class="box box-primary">
            <div class="box-body box-profile">
              <img class="profile-user-img img-responsive img-circle" src="<?=site.media.'images/'.$data['foto']?>" alt="<?=$data['nama']?>">
              <h3 class="profile-username text-center"><?=$data['nama']?></h3>
              <p class="text-muted text-center"><?=$data['jabatan']?></p>
              <ul class="list-group list-group-unbordered">
              <li class="list-group-item">
              <strong><i class="fa fa-map-marker margin-r-5"></i> Alamat</strong>
              <p class="text-muted pull-right">
                <?=$data['alamat']?>
              </p>
              </li>
              <li class="list-group-item">
              <strong><i class="fa fa-phone margin-r-5"></i> Telepon</strong>
              <p class="text-muted pull-right">
                <?=$data['telepon']?>
              </p>
              </li>
              <li class="list-group-item">
              <strong><i class="fa fa-envelope-o margin-r-5"></i> e-Mail</strong>
              <p class="text-muted pull-right">
                <?=$data['email']?>
              </p>
              </li>
              </ul>
            </div>
        </div>
        </div>
        </div>
<?php	}
}

function add_kontrol(){
	global $db;
	if(isset($_POST['tombol'])){
		if(!empty($_POST['jabatan']) && !empty($_POST['nama'])){
			$jabatan=$_POST['jabatan'];
			$nama=$_POST['nama'];
			$alamat=$_POST['alamat'];
			$telepon=$_POST['telepon'];
			$email=$_POST['email'];
			$allowedExts = array("gif", "jpeg", "jpg", "png");
		    $temp = explode(".", $_FILES["file"]["name"]);
		    $extension = end($temp);
		    if (in_array($extension, $allowedExts)) {
		        $name = str_replace('.', '', strtolower($nama));
		        $name = str_replace(' ', '-', strtolower($name)).'.'.$extension;
		        move_uploaded_file($_FILES["file"]["tmp_name"], "../media/images/" . $name);
		    }
			$data=array('jabatan'=>$jabatan,'nama'=>$nama,'alamat'=>$alamat,'telepon'=>$telepon,'email'=>$email,'foto'=>$name);
			$db->insert('pejabat', $data);
			if($db){
				$data['pesan']=array('tipe'=>'success','judul'=>'Sukses','pesan'=>'Data Pejabat berhasil disimpan....!');
			}else
			$data['pesan']=array('tipe'=>'warning','judul'=>'Gagal','pesan'=>'Data Pejabat gagal disimpan....!');
		} else
			$data['pesan']=array('tipe'=>'danger','judul'=>'Gagal','pesan'=>'Data Pejabat tidak lengkap....!');
	}
	addcss(site.aset.'bootstrap-fileupload/bootstrap-fileupload.css');
	addjs(site.aset.'bootstrap-fileupload/bootstrap-fileupload.js');
	view($data,'add');
}

function edit_kontrol(){
	global $db;
	if(isset($_POST['tombol']) && isset($_POST['id'])){
		if(!empty($_POST['jabatan']) && !empty($_POST['nama'])){
			$id=(int)$_POST['id'];
			$jabatan=$_POST['jabatan'];
			$nama=$_POST['nama'];
			$alamat=$_POST['alamat'];
			$telepon=$_POST['telepon'];
			$email=$_POST['email'];
			$allowedExts = array("gif", "jpeg", "jpg", "png");
		    $temp = explode(".", $_FILES["file"]["name"]);
		    $extension = end($temp);
		    if (in_array($extension, $allowedExts)) {
		        $name = str_replace('.', '', strtolower($nama));
		        $name = str_replace(' ', '-', strtolower($name)).'.'.$extension;
		        move_uploaded_file($_FILES["file"]["tmp_name"], "../media/images/" . $name);
		    }
			$data=array('jabatan'=>$jabatan,'nama'=>$nama,'alamat'=>$alamat,'telepon'=>$telepon,'email'=>$email,'foto'=>$name);
			$db->where('id',$id);
			$db->update('pejabat', $data);
			if($db){
				$data['pesan']=array('tipe'=>'success','judul'=>'Sukses','pesan'=>'Data Pejabat berhasil disimpan....!');
			}else
			$data['pesan']=array('tipe'=>'warning','judul'=>'Gagal','pesan'=>'Data Pejabat gagal disimpan....!');
		} else
			$data['pesan']=array('tipe'=>'danger','judul'=>'Gagal','pesan'=>'Data Pejabat tidak lengkap....!');
	}
	addcss(site.aset.'bootstrap-fileupload/bootstrap-fileupload.css');
	addjs(site.aset.'bootstrap-fileupload/bootstrap-fileupload.js');
	if (isset($_GET['id'])) {
		if(isset($data['pesan'])) 
			array_push($data, get_pejabat($_GET['id']));
		else
			$data=get_pejabat($_GET['id']);
	}
	view($data,'edit');
}

function list_kontrol(){
	global $customscript, $db;
	if(isset($_GET['act']) && isset($_GET['id'])){
		$id=(int)$_GET['id'];
		$db->where('id',$id);
		$db->delete('pejabat');
		if($db)
			$data['pesan']=array('tipe'=>'success','judul'=>'Sukses','pesan'=>'Data Pejabat berhasil dihapus....!');
		else
			$data['pesan']=array('tipe'=>'warning','judul'=>'Gagal','pesan'=>'Data Pejabat gagal dihapus....!');
	}
	addcss(site.aset.'datatables/DataTables-1.10.15/css/dataTables.bootstrap.min.css');
	addjs(site.aset.'datatables/DataTables-1.10.15/js/jquery.dataTables.min.js');
	addjs(site.aset.'datatables/DataTables-1.10.15/js/dataTables.bootstrap.min.js');
	$customscript=
	"$(document).ready(function() {
		$('#example').DataTable();
	});
	$('#myModal').on('show.bs.modal', function(e) {
    	id=$(e.relatedTarget).attr('data-id');
    	$.ajax({
            type : 'post',
            url : 'profil',
            data :  'id='+ id,
            success : function(data){
            $('.modal-body').html(data);
            }
        });
    });
    $('#confirm-delete').on('show.bs.modal', function(e) {
        id=$(e.relatedTarget).attr('data-id');
        $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));
        $.ajax({
            type : 'post',
            url : 'profil',
            data :  'id='+ id,
            success : function(data){
            $('.modal-body').html(data);
            }
        });
    });
	";
	if(isset($data['pesan'])) 
		array_push($data, $data['pejabat']=get_all_pejabat());
	else
		$data['pejabat']=get_all_pejabat();
	view($data);
}
?>