<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
function get_all_pejabat(){
	global $db;
	$db->orderBy("id","asc");
	$r=$db->get('pejabat');
	return $r;
}

function get_pejabat($id){
	global $db;
	$db->where("id",$id);
	$r=$db->getOne('pejabat');
	return $r;
}

function get_all_kategori_pengaduan(){
	global $db;
	$r=$db->get('kategori_pengaduan');
	return $r;
}

function get_all_pengaduan(){
	global $db;
	$db->orderBy("nomor","Desc");
	$db->join("kategori_pengaduan k", "p.kategori=k.id", "INNER");
	$db->join("status_term s", "p.status=s.id", "INNER");
	$r = $db->get("pengaduan p");
	return $r;
}

function get_pengaduan($nomor){
	global $db;
	$db->join("kategori_pengaduan k", "p.kategori=k.id", "INNER");
	$db->join("status_term s", "p.status=s.id", "INNER");
	$db->where("p.nomor",$nomor);
	$r = $db->getOne("pengaduan p");
	return $r;
}

function get_field_pengaduan($nomor,$field){
	global $db;
	$db->where("nomor",$nomor);
	$r = $db->getOne("pengaduan",$field);
	return $r[$field];
}

function get_status($nomor){
	global $db;
	$db->join("status s", "p.status=s.status and p.nomor=s.nomor", "INNER");
	$db->where("p.nomor",$nomor);
	$r = $db->getOne("pengaduan p",null,'s.tanggal');
	return $r;
}

function tgl_db($tgl){
	list($d,$m,$y)=explode('-', $tgl);
	return $y.'-'.$m.'-'.$d;
}

function get_nomor_pengaduan(){
	$d = new DateTime();
	return $d->getTimestamp();
}

function warna_status($s){
	switch ($s) {
		case 'DISPOSISI':
			$r = 'warning';
			break;
		case 'VERIFIKASI':
			$r = 'info';
			break;
		case 'TINDAK LANJUT':
			$r = 'primary';
			break;
		case 'SELESAI':
			$r = 'success';
			break;
		case 'BATAL':
			$r = 'default';
			break;
		case 'TERIMA':
		default:
			$r = 'danger';
			break;
	}
	return $r;
}

function update_pengaduan($tabel,$key,$data){
	global $db;
	$db->where('nomor',$key);
	$db->update($tabel, $data);
	return $db;
}

function delete_pengaduan($id){
	$r = delete_data('pengaduan','nomor',$id);
	if($r) delete_data('status','nomor',$id);
	return $r;
}

function kategori_fb($k){
	$r=array(1=>'Ketertiban Umum dan Ketentraman Masyarakat','Penegakan Peraturan Daerah','Damkar dan Perlindungan Masyarakat');
	return $r[$k];
}

function kategori_db($k){
	$r=array('Ketertiban Umum dan Ketentraman Masyarakat'=>1,'Penegakan Peraturan Daerah'=>2,'Damkar dan Perlindungan Masyarakat'=>3);
	return $r[$k];
}

function status_fb($k){
	$r=array(1=>'diterima','disposisi','verifikasi','ditangani','selesai','dibatalkan');
	return $r[$k];
}

function status_db($k){
	$r=array('diterima'=>1,'disposisi'=>2,'verifikasi'=>3,'ditangani'=>4,'selesai'=>5,'dibatalkan'=>6);
	return $r[$k];
}

function get_data_fb(){
	global $firebase;
	$name=$firebase->get('/keluhan');
	$r=json_decode($name,true);
	return $r;
}

function ambil_status_fb($id,$status){
	global $firebase;
	if($status=='diterima' || $status=='dibatalkan' || $status=='selesai')
		$name=$firebase->get('/status/'.$id.'/'.$status);
	else
		$name=$firebase->get('/status/'.$id.'/proses/'.$status);
	$r=json_decode($name,true);
	return $r;
}

function get_fb(){
	return 'a';
}
?>