<?php 
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
global $customcss;
?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <link rel="shortcut icon" href="<?=sitetema?>images/favicon.ico">
  <title>Control Panel</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <link rel="stylesheet" href="<?=sitetema?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="<?=sitetema?>bootstrap/css/font-awesome.min.css">
  <link rel="stylesheet" href="<?=sitetema?>bootstrap/css/ionicons.min.css">
   <?php echo $customcss."\n";?>
  <link rel="stylesheet" href="<?=sitetema?>dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="<?=sitetema?>dist/css/skins/skin-blue.min.css">
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
<body class="hold-transition skin-blue sidebar-mini fixed">
<!-- Site wrapper -->
<div class="wrapper">

  <header class="main-header">
    <!-- Logo -->
    <a href="<?php echo site.admin;?>" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini"><img src="<?=sitetema?>images/logo.png" /></span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg"><img src="<?=sitetema?>images/logo.png" /><b>Control Panel</b></span>
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </a>

      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!--li class="dropdown notifications-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-bell-o"></i>
              <span class="label label-warning">10</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">
                <a href="#">
                  <i class="fa fa-bullhorn text-aqua"></i> Ada 10 Pengaduan baru
                </a>
              </li>
            </ul>
          </li-->
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <?php
            $userlogin=getuser(array("name","registered"),"id",$_SESSION['iduser']);
            ?>
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <img src="<?=sitetema?>dist/img/user2-160x160.jpg" class="user-image" alt="User Image">
              <span class="hidden-xs"><?php echo $userlogin['name'];?></span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">
                <img src="<?=sitetema?>dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                <p>
                  <?php echo $userlogin['name'];?>
                  <small>Member since <?php echo tanggal($userlogin['registered']);?></small>
                </p>
              </li>
              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-right">
                  <a href="<?=site.admin?>password" class="btn btn-default btn-flat">Ubah Password</a>
                  <a href="<?=site.admin?>logout.php" class="btn btn-default btn-flat">Logout</a>
                </div>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>
  </header>
  <?php
  include 'sidebar.php';
  include 'content.php';
  ?>