<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
function utama($data){
	if (isset($data['pesan'])) error_array($data['pesan']);?>
	<?php openbox('Daftar Pejabat',null);?>
    	<table  class="display table table-bordered table-striped" id="example">
            <thead>
              <tr>
                <th>Jabatan</th>
                <th>Nama</th>
                <th>Alamat</th>
                <th>Telepon</th>
                <th>Email</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <?php
              foreach ($data['pejabat'] as $v) {
              echo '<tr>'.
                '<td>'.$v['jabatan'].'</td>'.
                '<td>'.$v['nama'].'</td>'.
                '<td>'.$v['alamat'].'</td>'.
                '<td>'.$v['telepon'].'</td>'.
                '<td>'.$v['email'].'</td>'.
                '<td><a href="#myModal" class="btn btn-success btn-xs" data-id="'.$v['id'].'" data-toggle="modal"><i class="fa fa-list"></i></a> <a href="edit?id='.$v['id'].'" class="btn btn-primary btn-xs"><i class="fa fa-pencil"></i></a> <a href="#" data-href="?act=delete&id='.$v['id'].'" data-id="'.$v['id'].'" data-toggle="modal" data-target="#confirm-delete" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></a></td>'.
              '</tr>';
              }?>
            </tbody>
        </table>
	<?php closebox();
	modal('Profil');
	modal_delete('Hapus Pejabat');
}

function add($data){ 
	if (isset($data['pesan'])) error_array($data['pesan']);?>
	<form method="post" action="" class="form-horizontal" enctype="multipart/form-data">
		<?php openbox('Tambah Pejabat');?>
          	<div class="form-group">
          		<label for="jabatan" class="col-sm-3 control-label">Jabatan</label>
            	<div class="col-sm-6">
            		<input type="text" id="jabatan" class="form-control" name="jabatan" placeholder="Jabatan" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="nama" class="col-sm-3 control-label">Nama</label>
            	<div class="col-sm-6">
            		<input type="text" id="nama" class="form-control" name="nama" placeholder="Nama" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="alamat" class="col-sm-3 control-label">Alamat</label>
            	<div class="col-sm-6">
            		<textarea id="alamat" class="form-control" name="alamat" placeholder="Alamat"></textarea>
            	</div>
            </div>
            <div class="form-group">
            	<label for="telepon" class="col-sm-3 control-label">Telepon</label>
            	<div class="col-sm-6">
            		<input type="text" id="telepon" class="form-control" name="telepon" placeholder="Telepon" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="email" class="col-sm-3 control-label">e-Mail</label>
            	<div class="col-sm-6">
            		<input type="text" id="email" class="form-control" name="email" placeholder="e-Mail" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="file" class="col-sm-3 control-label">Foto</label>
            	<div class="col-sm-6">
            		<div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                            <img src="<?=sitetema.'images/noavatar.png'?>" alt="" />
                        </div>
                        <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                        </div>
                        <div>
                            <span class="btn btn-default btn-file">
                            <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                            <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                            <input type="file" id="file" class="default" name="file" />
                            </span>
                        </div>
                     </div>
            	</div>
            </div>
            <div class="box-footer">
                <div class="col-sm-offset-3">
                	<button type="submit" class="btn btn-primary col-sm-3" name="tombol" value="simpan">Simpan</button>
                </div>
             </div>
		<?php closebox();?>
	</form>
<?php }

function edit($data){ 
	if (isset($data['pesan'])) error_array($data['pesan']);?>
	<form method="post" action="" class="form-horizontal" enctype="multipart/form-data">
		<?php openbox('Edit Pejabat');?>
          	<div class="form-group">
          		<label for="jabatan" class="col-sm-3 control-label">Jabatan</label>
            	<div class="col-sm-6">
            		<input type="text" id="jabatan" class="form-control" name="jabatan" placeholder="Jabatan" value="<?=$data['jabatan']?>" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="nama" class="col-sm-3 control-label">Nama</label>
            	<div class="col-sm-6">
            		<input type="text" id="nama" class="form-control" name="nama" placeholder="Nama" value="<?=$data['nama']?>" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="alamat" class="col-sm-3 control-label">Alamat</label>
            	<div class="col-sm-6">
            		<textarea id="alamat" class="form-control" name="alamat" placeholder="Alamat"><?=$data['alamat']?></textarea>
            	</div>
            </div>
            <div class="form-group">
            	<label for="telepon" class="col-sm-3 control-label">Telepon</label>
            	<div class="col-sm-6">
            		<input type="text" id="telepon" class="form-control" name="telepon" placeholder="Telepon" value="<?=$data['telepon']?>" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="email" class="col-sm-3 control-label">e-Mail</label>
            	<div class="col-sm-6">
            		<input type="text" id="email" class="form-control" name="email" placeholder="e-Mail" value="<?=$data['email']?>" />
            	</div>
            </div>
            <div class="form-group">
            	<label for="file" class="col-sm-3 control-label">Foto</label>
            	<div class="col-sm-6">
            		<div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                            <?php
                            if(empty($data['foto']))
                            echo '<img src="'.sitetema.'images/noavatar.png" alt="Tidak ada foto" />';
                        	else
                        	echo '<img src="'.site.media.'images/'.$data['foto'].'" alt="'.$data['foto'].'" />';
                        	?>
                        </div>
                        <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                        </div>
                        <div>
                            <span class="btn btn-default btn-file">
                            <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                            <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                            <input type="file" id="file" class="default" name="file" />
                            </span>
                        </div>
                     </div>
            	</div>
            </div>
            <div class="box-footer">
                <div class="col-sm-offset-3">
                	<input type="hidden" name="id" value="<?=$data['id']?>">
                	<button type="submit" class="btn btn-primary col-sm-3" name="tombol" value="simpan">Simpan</button>
                </div>
             </div>
		<?php closebox();?>
	</form>
<?php } ?>