<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
function utama($data){
	if (isset($data['pesan'])) error_array($data['pesan']);
        openbox('Daftar Pengaduan',null);
            opentable(array('Nomor','Pengaduan','Kategori','Pelapor','Tanggal','Status','Aksi'));
              foreach ($data['pengaduan'] as $v) {
              echo '<tr>'.
                '<td>'.$v['nomor'].'</td>'.
                '<td>'.$v['pengaduan'].'</td>'.
                '<td>'.$v['kategori'].'</td>'.
                '<td>'.$v['nama'].'</td>'.
                '<td>'.tanggal($v['tanggal']).'</td>'.
                '<td><span class="label label-'.warna_status($v['status']).'">'.$v['status'].'</span></td>'.
                '<td><a href="detail?id='.$v['nomor'].'" class="btn btn-success btn-xs" title="Detail"><i class="fa fa-list"></i></a> <a href="edit?id='.$v['nomor'].'" class="btn btn-primary btn-xs"><i class="fa fa-pencil" title="Edit"></i></a> <a href="?act=delete&id='.$v['nomor'].'" class="btn btn-danger btn-xs" title="Hapus" onclick="return confirm(\'Yakin ingin menghapus Pengaduan No. '.$v['nomor'].'?\');"><i class="fa fa-trash-o"></i></a></td>'.
              '</tr>';
              }
            closetable();
        closebox();
}

function add($data){ 
	if (isset($data['pesan'])) error_array($data['pesan']); ?>
	<form method="post" action="" class="form-horizontal" enctype="multipart/form-data">
		<?php openbox('Tambah Pengaduan');?>
        <div class="row">
            <div class="col-sm-5">
                <div class="form-group">
                    <label for="nama" class="col-sm-3 control-label">Nama</label>
                    <div class="col-sm-9">
                        <input type="text" id="nama" class="form-control" name="nama" placeholder="Nama" required />
                    </div>
                </div>
                <div class="form-group">
                    <label for="alamat" class="col-sm-3 control-label">Alamat</label>
                    <div class="col-sm-9">
                        <textarea id="alamat" class="form-control" name="alamat" placeholder="Alamat" required></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label for="telepon" class="col-sm-3 control-label">Telepon</label>
                    <div class="col-sm-9">
                        <input type="text" id="telepon" class="form-control" name="telepon" placeholder="Telepon" required />
                    </div>
                </div>
                <div class="form-group">
                    <label for="noid" class="col-sm-3 control-label">No. ID</label>
                    <div class="col-sm-9">
                        <input type="text" id="noid" class="form-control" name="noid" placeholder="No. Identitas" />
                    </div>
                </div>
                <div class="form-group">
                    <label for="file" class="col-sm-3 control-label">Foto ID</label>
                    <div class="col-sm-9">
                    <div class="fileupload fileupload-new" data-provides="fileupload">
                        <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                            <img src="<?=sitetema.'images/noavatar.png'?>" alt="" />
                        </div>
                        <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                        </div>
                        <div>
                            <span class="btn btn-default btn-file">
                            <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                            <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                            <input type="file" id="file" class="default" name="file" />
                            </span>
                        </div>
                     </div>
                </div>
                </div>
            </div>
            <div class="col-sm-7">
                <div class="form-group">
                    <label for="datepicker" class="col-sm-3 control-label">Tanggal</label>
                    <div class="col-sm-8">
                        <div class="input-group date">
                            <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                            </div>
                            <input type="text" class="form-control pull-right" id="datepicker" name="tanggal" required />
                        </div>
                    </div>
                </div> 
                <div class="form-group">
                    <label for="kategori" class="col-sm-3 control-label">Kategori</label>
                    <div class="col-sm-8">
                        <select name="kategori" data-placeholder="Kategori" class="form-control select2" id="kategori">
                        <?php
                        $kategoris=get_all_kategori_pengaduan();
                        foreach ($kategoris as $kategori) {
                            echo '<option value="'.$kategori['id'].'">'.$kategori['kategori'].'</option>';
                        }
                        ?>      
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="pengaduan" class="col-sm-3 control-label">Pengaduan</label>
                    <div class="col-sm-8">
                        <textarea id="pengaduan" class="form-control" name="pengaduan" placeholder="Detail Pengaduan" rows="4" required></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label for="file1" class="col-sm-3 control-label">Foto Bukti</label>
                    <div class="col-sm-8">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                                <img src="<?=sitetema.'images/noavatar.png'?>" alt="" />
                            </div>
                            <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                            </div>
                            <div>
                                <span class="btn btn-default btn-file">
                                <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                                <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                                <input type="file" id="file1" class="default" name="file1" />
                                </span>
                            </div>
                         </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="box-footer">
            <button type="submit" class="btn btn-primary pull-right" name="tombol" value="simpan" style="width: 100%">Simpan</button>
        </div>
		<?php closebox();?>
	</form>
<?php }

function detail($data){ 
    openbox('Detail Pengaduan');?>
    <div class="post">
        <div class="user-block">
            <?php
            $foto=isset($data['foto_id']) && !empty($data['foto_id'])?$data['foto_id']:sitetema.'dist/img/avatar5.png';
            ?>
            <img class="img-circle img-bordered-sm" src="<?=$foto?>" alt="user image">
            <span class="username">
                <a href="#"><?=$data['nama']?></a>
            </span>
            <ul class="list-inline">
            
            <li><i class="fa fa-map-marker margin-r-3" style="margin-left: 5px"></i> <?=$data['alamat']?> </li>
            <li><i class="fa fa-phone-square margin-r-3" style="margin-left: 5px"></i> <?=$data['telepon']?></li>
            <li class="pull-right"><i class="fa fa-bookmark-o"></i> <?=$data['nomor']?></li>
        </ul>
        </div>
        <ul class="list-inline">
            <li><i class="fa fa-folder-open-o margin-r-5"></i> <?=$data['kategori']?></li>
            <li><i class="fa fa-calendar margin-r-3" style="margin-left: 5px"></i> <?=tanggal($data['tanggal'])?></li>
        </ul>
        <p><?=$data['pengaduan']?></p>
        <?php if(isset($data['foto']) && !empty($data['foto'])) {?>
        <div class="fileupload">
            <div class="thumbnail" style="max-width: 400px; max-height: 300px;">
                <image src="<?=$data['foto']?>" /></p>
            </div>
        </div>
        <?php } 
        $status=get_status($data['nomor']);
        ?>
        <ul class="list-inline">
            <li class="pull-right"><i class="fa fa-calendar margin-r-3"></i> <?=tanggal($status['tanggal'])?></li>
            <li class="pull-right"><span class="label label-<?=warna_status($data['status'])?>"><?=$data['status']?></span></li>
        </ul>
    </div>
    <?php closebox();?>
<?php }

function edit($data){ 
    if (isset($data['pesan'])) error_array($data['pesan']);?>
    <form method="post" action="" class="form-horizontal" enctype="multipart/form-data">
        <?php openbox('Edit Pengaduan');?>
        <div class="row">
            <div class="col-sm-5">
                <div class="form-group">
                    <label for="nama" class="col-sm-3 control-label">Nama</label>
                    <div class="col-sm-9">
                        <input type="text" id="nama" class="form-control" name="nama" placeholder="Nama" value="<?=$data['nama']?>" required />
                    </div>
                </div>
                <div class="form-group">
                    <label for="alamat" class="col-sm-3 control-label">Alamat</label>
                    <div class="col-sm-9">
                        <textarea id="alamat" class="form-control" name="alamat" placeholder="Alamat" required><?=$data['alamat']?></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label for="telepon" class="col-sm-3 control-label">Telepon</label>
                    <div class="col-sm-9">
                        <input type="text" id="telepon" class="form-control" name="telepon" placeholder="Telepon" value="<?=$data['telepon']?>" required />
                    </div>
                </div>
                <div class="form-group">
                    <label for="noid" class="col-sm-3 control-label">No. ID</label>
                    <div class="col-sm-9">
                        <input type="text" id="noid" class="form-control" name="noid" placeholder="No. Identitas" value="<?=$data['no_id']?>" />
                    </div>
                </div>
                <div class="form-group">
                    <label for="file" class="col-sm-3 control-label">Foto ID</label>
                    <div class="col-sm-9">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                                <?php
                                if(empty($data['foto_id']))
                                echo '<img src="'.sitetema.'images/noavatar.png" alt="Tidak ada foto" />';
                                else
                                echo '<img src="'.$data['foto_id'].'" alt="'.$data['foto_id'].'" />';
                                ?>
                            </div>
                            <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                            </div>
                            <div>
                                <span class="btn btn-default btn-file">
                                <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                                <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                                <input type="file" id="file" class="default" name="file" />
                                </span>
                            </div>
                         </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-7">
                <div class="form-group">
                    <label for="datepicker" class="col-sm-3 control-label">Tanggal</label>
                    <div class="col-sm-8">
                        <div class="input-group date">
                            <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                            </div>
                            <input type="text" class="form-control pull-right" id="datepicker" name="tanggal" value="<?=date_format(date_create($data['tanggal']),'d-m-Y')?>" required />
                        </div>
                    </div>
                </div> 
                <div class="form-group">
                    <label for="kategori" class="col-sm-3 control-label">Kategori</label>
                    <div class="col-sm-8">
                        <select name="kategori" data-placeholder="Kategori" class="form-control select2" id="kategori">
                        <?php
                        $kategoris=get_all_kategori_pengaduan();
                        foreach ($kategoris as $kategori) {
                            $sel=$data['kategori']==$kategori['kategori'] || $data['kategori']==$kategori['id']?' selected':'';
                            echo '<option value="'.$kategori['id'].'"'.$sel.'>'.$kategori['kategori'].'</option>';
                        }
                        ?>      
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="pengaduan" class="col-sm-3 control-label">Pengaduan</label>
                    <div class="col-sm-8">
                        <textarea id="pengaduan" class="form-control" name="pengaduan" placeholder="Detail Pengaduan" rows="4" required><?=$data['pengaduan']?></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label for="file1" class="col-sm-3 control-label">Foto Bukti</label>
                    <div class="col-sm-8">
                        <div class="fileupload fileupload-new" data-provides="fileupload">
                            <div class="fileupload-new thumbnail" style="width: 200px; height: 150px;">
                                <?php
                                if(empty($data['foto']))
                                echo '<img src="'.sitetema.'images/noavatar.png" alt="Tidak ada foto" />';
                                else
                                echo '<img src="'.$data['foto'].'" alt="'.$data['foto'].'" />';
                                ?>
                            </div>
                            <div class="fileupload-preview fileupload-exists thumbnail" style="max-width: 200px; max-height: 150px; line-height: 20px;">
                            </div>
                            <div>
                                <span class="btn btn-default btn-file">
                                <span class="fileupload-new"><i class="fa fa-paper-clip"></i> Pilih Foto</span>
                                <span class="fileupload-exists"><i class="fa fa-undo"></i> Ganti</span>
                                <input type="file" id="file1" class="default" name="file1" />
                                </span>
                            </div>
                         </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="box-footer">
            <input type="hidden" name="id" value="<?=$data['nomor']?>" />
            <button type="submit" class="btn btn-primary pull-right" name="tombol" value="simpan" style="width: 100%">Simpan</button>
        </div>
        <?php closebox();?>
    </form>
<?php }

function sync($data){
    openbox('Sinkronisasi Data Pengaduan');
        foreach ($data as $v) {
            $keluhan=get_pengaduan($v['id_keluhan']);
            $datasql=array('nomor'=>$v['id_keluhan'],'tanggal'=>$v['tanggal'],'nama'=>$v['nama_pelapor'],'alamat'=>$v['alamat'],'telepon'=>$v['no_hp'],'email'=>$v['email'],'foto_id'=>$v['identitas_photo'],'kategori'=>kategori_db($v['kategori']),'pengaduan'=>$v['keterangan'],'foto'=>$v['bukti_photo'],'status'=>status_db($v['status']),'modified'=>$v['modified']);
            $stat=ambil_status_fb($v['id_keluhan'],$v['status']);
            if(is_array($keluhan)){
                if($keluhan['modified']!=$v['modified']) {
                    update_data('pengaduan', array('status'=>status_db($v['status']),'modified'=>$v['modified']),'nomor',$v['id_keluhan']);
                    update_data('status', array('status'=>status_db($v['status']),'tanggal'=>$stat['tanggal']),'nomor',$v['id_keluhan']);
                    $d='update '.$v['id_keluhan'];
                    echo $d."</br>";
                }
            }else{
                save_data('pengaduan', $datasql);
                save_data('status', array('nomor'=>$v['id_keluhan'],'status'=>status_db($v['status']),'tanggal'=>$stat['tanggal']));
                $d='insert '.$v['id_keluhan'];
                echo $d."</br>";
            }
        }
    closebox();
}
?>