<?php
error_reporting(E_ALL ^ E_NOTICE); // #1 Report all Errors
//error_reporting(0); // #2 No Error Reporting

session_start();

define('index',true);
define('sistem','sistem/');
define('path', dirname(dirname(__FILE__)) . '/');

require_once(path.sistem.'konfig.php');
require_once(path.sistem.'db.php');
require_once(path.sistem.'fungsi.php');
startup();
require_once(path.sistem.'tree.php');
require_once(path.sistem.'security.php');

isset($_COOKIE['admintemplate'])?$tema=$_COOKIE['admintemplate']:$tema = s('admintemplate');

file_exists(path.admin.'tema/'.$tema.'/index.php')?setcookie('admintemplate',$tema):$tema='default';
define('sitetema',site.admin.'tema/'.$tema.'/');
define('pathtema',path.admin.'tema/'.$tema.'/');

if(ceklogin()){
	require_once(path.admin.sistem.'rute.php');
}else{
	if(isset($_POST['login'])){
		$user = cekinputuserpass($_POST['username']);
		$pass = cekinputuserpass($_POST['password']);
		unset($_POST['user'],$_POST['pass']);
		if(cekuserpass($user,$pass)){
			$_SESSION['iduser']=getiduser($user);
			$user=sha1($user);
			$_SESSION['user']=$user;
			$_SESSION['login']=token().md5($user);
			redirect(site.admin);
		}else{
			$pesan=array('tipe'=>'danger','judul'=>'Login Gagal','pesan'=>'Periksa lagi Username dan Password anda!');
			include(pathtema.'login.php');
		}
	}else
		include(pathtema.'login.php');
}
?>