<?php
Namespace Firebase;
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);
require_once path.sistem.'firebaseLib.php';
$page_title='Pengaduan';
switch ($aksi) {
	case 'add':
		add_kontrol();
		break;
	case 'detail':
		detail_kontrol();
		break;
	case 'edit':
		edit_kontrol();
		break;
	case 'sync':
		$firebase = new FirebaseLib(databaseURL, FirebaseToken);
		sync_kontrol();
		break;
	case 'list':
	default:
		list_kontrol();
		break;
}

function sync_kontrol(){
	$data=get_data_fb();
	view($data,'sync');
}

function detail_kontrol(){
	global $customscript;
	if(isset($_GET['id'])){
		$data=get_pengaduan($_GET['id']);
	}
	addcss(site.aset.'bootstrap-fileupload/bootstrap-fileupload.css');
	view($data,'detail');
}

function add_kontrol(){
	global $customscript;
	if(isset($_POST['tombol'])){
		if(!empty($_POST['nama']) && !empty($_POST['alamat']) && !empty($_POST['telepon']) && !empty($_POST['pengaduan'])){
			$nama=$_POST['nama'];
			$alamat=$_POST['alamat'];
			$telepon=$_POST['telepon'];
			$noid=$_POST['noid'];
			$tanggal=tgl_db($_POST['tanggal']);
			$kategori=$_POST['kategori'];
			$pengaduan=$_POST['pengaduan'];
			$nomor = get_nomor_pengaduan();
			$fotoid=upload_image($_FILES[ 'file' ],'id-'.$nomor);
			$foto=upload_image($_FILES[ 'file1' ],'bukti-'.$nomor);
			$fotoid = (empty($fotoid) || $fotoid=='') ? '' : site.media.'images/'.$fotoid;
			$foto = (empty($foto) || $foto=='') ? '' : site.media.'images/'.$foto;	 
			$data=array('nomor'=>$nomor,'tanggal'=>$tanggal,'nama'=>$nama,'alamat'=>$alamat,'telepon'=>$telepon,'no_id'=>$noid,'foto_id'=>$fotoid,'kategori'=>$kategori,'pengaduan'=>$pengaduan,'foto'=>$foto,'status'=>1);
			$h=save_data('pengaduan', $data);
			if($h){
				save_data('status', array('nomor'=>$nomor,'status'=>1,'tanggal'=>date("Y-m-d")));
				$firebase = new FirebaseLib(databaseURL, FirebaseToken);
				$datafb=array('id_keluhan'=>strval($nomor),'tanggal'=>$tanggal,'nama_pelapor'=>$nama,'alamat'=>$alamat,'no_hp'=>$telepon,'no_indentitas'=>$noid,'identitas_photo'=>$fotoid,'kategori'=>kategori_fb($kategori),'keterangan'=>$pengaduan,'bukti_photo'=>$foto,'status'=>'diterima','email'=>'','modified'=>strval($nomor),'pengurus'=>'');
				$statusfb=array('tanggal'=>date("Y-m-d"));
				$firebase->set('/keluhan/'.$nomor,$datafb);
				$firebase->set('/status/'.$nomor.'/diterima',$datafb);
				$data['pesan']=pesan('success','Sukses','Data Pengaduan berhasil disimpan....!');
			}else{
				unlink('../media/images/' . $fotoid);
				unlink('../media/images/' . $foto);
				$data['pesan']=pesan('warning','Gagal','Data Pengaduan gagal disimpan....!');
			}
		} else
			$data['pesan']=pesan('danger','Gagal','Data Pengaduan tidak lengkap....!');
	}
	addcss(site.aset.'bootstrap-fileupload/bootstrap-fileupload.css');
	addcss(sitetema.'plugins/select2/select2.min.css');
	addcss(sitetema.'plugins/datepicker/datepicker3.css');
	addjs(site.aset.'bootstrap-fileupload/bootstrap-fileupload.js');
	addjs(sitetema.'plugins/select2/select2.full.min.js');
	addjs(sitetema.'plugins/datepicker/bootstrap-datepicker.js');
	$customscript=
	"$(document).ready(function() {
		$('.select2').select2();
		$('#datepicker').datepicker({
      		format: 'dd-mm-yyyy',
      		todayHighlight: true,
      		autoclose: true
    	});
    	$('#datepicker').val('".date('d-m-Y')."');
	});
	";
	view($data,'add');
}

function edit_kontrol(){
	global $customscript;
	if(isset($_POST['tombol']) && isset($_POST['id'])){
		if(!empty($_POST['nama']) && !empty($_POST['alamat']) && !empty($_POST['telepon']) && !empty($_POST['pengaduan'])){
			$nama=$_POST['nama'];
            $alamat=$_POST['alamat'];
            $telepon=$_POST['telepon'];
            $noid=$_POST['noid'];
            $tanggal=tgl_db($_POST['tanggal']);
            $kategori=$_POST['kategori'];
            $pengaduan=$_POST['pengaduan'];
            $nomor = (int)$_POST['id'];
            $data=array('tanggal'=>$tanggal,'nama'=>$nama,'alamat'=>$alamat,'telepon'=>$telepon,'no_id'=>$noid,'kategori'=>$kategori,'pengaduan'=>$pengaduan);
            if(isset($_FILES[ 'file' ])) 
            	$data['foto_id']=upload_image($_FILES[ 'file' ],'id-'.$nomor);
            else
            	$data['foto_id']=get_field_pengaduan($nomor,'foto_id');

            if(isset($_FILES[ 'file1' ])) 
            	$data['foto']==upload_image($_FILES[ 'file1' ],'bukti-'.$nomor);
            else
            	$data['foto']=get_field_pengaduan($nomor,'foto');
            
			$h=update_pengaduan('pengaduan', $nomor, $data);
			if($h){
				$data['pesan']=pesan('success','Sukses','Data Pengaduan berhasil disimpan....!');
			}else
			$data['pesan']=pesan('warning','Gagal','Data Pengaduan gagal disimpan....!');
		} else
			$data['pesan']=pesan('danger','Gagal','Data Pengaduan tidak lengkap....!');
	}
	addcss(site.aset.'bootstrap-fileupload/bootstrap-fileupload.css');
	addcss(sitetema.'plugins/select2/select2.min.css');
	addcss(sitetema.'plugins/datepicker/datepicker3.css');
	addjs(site.aset.'bootstrap-fileupload/bootstrap-fileupload.js');
	addjs(sitetema.'plugins/select2/select2.full.min.js');
	addjs(sitetema.'plugins/datepicker/bootstrap-datepicker.js');
	$customscript=
	"$(document).ready(function() {
		$('.select2').select2();
		$('#datepicker').datepicker({
      		format: 'dd-mm-yyyy',
      		todayHighlight: true,
      		autoclose: true
    	});
	});
	";
	if (isset($_GET['id']) && !isset($data['pesan'])) $data=get_pengaduan($_GET['id']);
	view($data,'edit');
}

function list_kontrol(){
	global $customscript;
	if(isset($_GET['act']) && $_GET['act']=='delete' && isset($_GET['id'])){
		$nomor=(int)$_GET['id'];
		$h=delete_pengaduan($nomor);
		if($h)
			$data['pesan']=pesan('success','Sukses','Data Pengaduan No. '.$nomor.' berhasil dihapus....!');
		else
			$data['pesan']=pesan('warning','Gagal','Data Pengaduan No. '.$nomor.' gagal dihapus....!');
	}
	addcss("https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css");
	addcss("https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css");
	//addjs("https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js");
	//addjs(site.aset.'datatables/DataTables-1.10.15/js/dataTables.bootstrap.min.js');
	//addjs("https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js");
	addjs("https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js");
	addjs("https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js");
	addjs("//cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js");
	addjs("//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js");
	addjs("//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js");
	addjs("//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js");
	addjs("//cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js");
	addjs("//cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js");
	$customscript=
	"$(document).ready(function() {
		$('#example').DataTable({
			'order': [[ 0, 'desc' ]],
	        dom: 'Bfrtip',
	        buttons: [
	            {
	            	extend: 'print',
	            	text: 'Print',
	            	title: '',
	            	autoPrint: true,
            		message: '<center><h1>DATA PENGADUAN</h1></center>',
            		exportOptions: {
                    	columns: [0,1,2,3,4,5]
                    }
            	},
            	{
            		extend: 'pdfHtml5',
				    text: 'PDF',
				    title: '',
				    filename: 'Data Pengaduan',
				    messageTop: 'DATA PENGADUAN',
            		exportOptions: {
                    	columns: [0,1,2,3,4,5]
                    }
            	},
            	{
            		extend: 'excelHtml5',
				    text: 'XLS',
				    title: '',
				    filename: 'Data Pengaduan',
				    messageTop: 'DATA PENGADUAN',
            		exportOptions: {
                    	columns: [0,1,2,3,4,5]
                    }
            	}
	        ]
		});
	});
	";
	if(isset($data['pesan'])) 
		array_push($data, $data['pengaduan']=get_all_pengaduan());
	else
		$data['pengaduan']=get_all_pengaduan();
	view($data);
}

?>