<?php
defined('index') or header('location:http://'.$_SERVER['HTTP_HOST']);

function add_post($data){
  if (isset($data['pesan'])) error_array($data['pesan']);
?>
<div class="row form-group">
  <form method="post" action="">
    <div class="col-lg-8">
      <?=openbox('New Post',array('List'=>'list'))?>
        <input type="text"  class="form-control" placeholder="Judul Artikel" name="judul">
        <br />
        <textarea id="editor" name="isi"></textarea>
      <?=closebox()?>
    </div>
    <div class="col-lg-4">
      <?=openbox('Type')?>
        <div class="row"><div class="col-lg-8">
            <select name="tipe" class="form-control">
                <option value="post">Post</option>
                <option value="page">Page</option>
              </select>
              </div>
              <div class="col-lg-4">
            <button type="submit" class="btn btn-primary" name="tombol" value="simpan">Simpan</button>
            </div></div>
      <?=closebox()?>
      <?=openbox('Category')?>
        <select name="kategori" class="form-control">
            <?php
              foreach ($data['kategori'] as $v) {
                echo '<option value="'.$v['id'].'">'.$v['title'].'</option>';
              }
            ?>
          </select>
      <?=closebox()?>
      <?=openbox('Tag')?>
        <input id="ms4" type="text" name="tag" style="width: 100%">
      <?=closebox()?>
    </div>
  </form>
</div>
<?php }

function edit_post($data){
  if (isset($data['pesan'])) error_array($data['pesan']);
?>
<div class="row form-group">
  <form method="post" action="">
    <div class="col-lg-8">
      <?=openbox('Edit Post',array('Add'=>'add','List'=>'list'))?>
        <input type="text"  class="form-control" placeholder="Judul Artikel" name="judul" value="<?=$data[0]['title']?>">
        <br />
        <textarea id="editor" name="isi"><?=$data[0]['content']?></textarea>
      <?=closebox()?>
    </div>
    <div class="col-lg-4">
      <?=openbox('Type')?>
        <div class="row"><div class="col-lg-8">
            <select name="tipe" class="form-control">
                <?php
                if($data[0]['type']=='post'){
                  echo '<option value="post" selected>Post</option>
                  <option value="page">Page</option>';
                }else{
                  echo '<option value="post">Post</option>
                  <option value="page" selected>Page</option>';
                }?>
              </select>
              </div>
              <div class="col-lg-4">
            <button type="submit" class="btn btn-primary" name="tombol" value="simpan">Simpan</button>
            </div></div>
      <?=closebox()?>
      <?=openbox('Category')?>
        <select name="kategori" class="form-control">
            <?php
              foreach ($data['kategori'] as $v) {
                if($data[0]['ctitle']==$v['title'])
                  echo '<option value="'.$v['id'].'" selected>'.$v['title'].'</option>';
                else
                  echo '<option value="'.$v['id'].'">'.$v['title'].'</option>';
              }
            ?>
          </select>
      <?=closebox()?>
      <?=openbox('Tag')?>
        <input id="ms4" type="text" name="tag" style="width: 100%">
      <?=closebox()?>
    </div>
  </form>
</div>
<?php }

function detail_post($data){
  $link=$data[0]['type']=='post'?site.$data[0]['ctitle'].'/':site;
  openbox('<a href="'.$link.$data[0]['seo'].'.html">'.$data[0]['title'].'</a>',array('Edit'=>'edit?id='.$data[0][id],'Add'=>'add','List'=>'list'));
    echo $data[0]['content'];
  closebox();
}

function list_post($data){
  if (isset($data['pesan'])) error_array($data['pesan']);
?>
      <?=openbox('List Post',array('Add'=>'add'))?>
          <table  class="display table table-bordered table-striped" id="example">
            <thead>
              <tr>
                <th>Title</th>
                <th>Type</th>
                <th>Category</th>
                <th>Date</th>
                <th>Comment</th>
                <th>Hits</th>
                <th>Act</th>
              </tr>
            </thead>
            <tbody>
              <?php
              foreach ($data['post'] as $v) {
              $link=$v['type']=='post'?site.$v['ctitle'].'/':site;
              echo '<tr>'.
                '<td><a href="'.$link.$v['seo'].'.html">'.$v['title'].'</a></td>'.
                '<td>'.$v['type'].'</td>'.
                '<td>'.$v['ctitle'].'</td>'.
                '<td>'.tanggal($v['date']).'</td>'.
                '<td>'.$v['commentcount'].'</td>'.
                '<td>'.$v['hits'].'</td>'.
                '<td><a href="detail?id='.$v['id'].'" class="btn btn-success btn-xs" title="Detail"><i class="fa fa-list"></i></a> <a href="edit?id='.$v['id'].'" class="btn btn-primary btn-xs"><i class="fa fa-pencil" title="Edit"></i></a> <a href="#" data-href="?act=delete&id='.$v['id'].'" data-id="'.$v['id'].'" data-toggle="modal" data-target="#confirm-delete" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></a></td>'.
              '</tr>';
              }?>
            </tbody>
          </table>
      <?=closebox()?>
<?php modal_delete('Hapus Category'); }

function list_category($data) { 
if (isset($data['pesan'])) error_array($data['pesan']);
?>
<div class="row form-group">
  <form method="post" action="">
    <div class="col-lg-8">
      <?=openbox('Category')?>
          <table  class="display table table-bordered table-striped" id="example">
            <thead>
              <tr>
                <th>Category</th>
                <th>Position</th>
                <th>Parent</th>
                <th>Count</th>
                <th>Hits</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <?php
              foreach ($data['kategori'] as $v) {
              echo '<tr>'.
                '<td>'.$v['title'].'</td>'.
                '<td>'.$v['position'].'</td>'.
                '<td>'.$v['parent'].'</td>'.
                '<td>'.$v['count'].'</td>'.
                '<td>'.$v['hits'].'</td>'.
                '<td><a href="?act=edit&id='.$v['id'].'" class="btn btn-primary btn-xs"><i class="fa fa-pencil"></i></a> <a href="#" data-href="?act=delete&id='.$v['id'].'" data-id="'.$v['id'].'" data-toggle="modal" data-target="#confirm-delete" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i></a></td>'.
              '</tr>';
              }?>
            </tbody>
          </table>
      <?=closebox()?>
    </div>
    <div class="col-lg-4">
      <?php (isset($_GET['act']) && $_GET['act']=='edit') ? openbox('Edit Category',array('Add'=>'category')) : openbox('Add Category');?>
          <div class="form-group">
            <label for="title">Title</label>
            <input type="text" id="title" class="form-control" name="title" value="<?=$data['title']?>">
          </div>
          <div class="form-group">
            <label for="parent">Parent</label>
            <select id="parent" name="parent" class="form-control">
              <option value="0">No Parent</option>
              <?php
              foreach($data['kategori'] as $v){
              if(isset($_GET['act']) && $_GET['act']=='edit'){
                if(($v['id']!=$data['id']) && ($v['parent']!=$data['id']))
                  if($v['id']==$data['parent'])
                    echo '<option value="'.$v['id'].'" selected>'.$v['title'].'</option>';
                  else
                    echo '<option value="'.$v['id'].'">'.$v['title'].'</option>';
              }
              else
                echo '<option value="'.$v['id'].'">'.$v['title'].'</option>';
              }
              ?>
            </select>
          </div>
          <?php if(isset($_GET['act']) && $_GET['act']=='edit'){
            echo '<input type="hidden" name="id" value="'.$data['id'].'" />';
            $val='Update';
            }else $val='Simpan'; ?>
          <button type="submit" class="btn btn-primary" name="tombol" value="<?=$val?>"><?=$val?></button>
      <?=closebox()?>
    </div>
  </form>
</div>
<?php modal_delete('Hapus Category');
}
function rss($data){
  /*echo "<ul>";
  foreach($data->channel->item as $entry) {
    echo "<li><a href='$entry->link' title='$entry->title'>" . $entry->title . "</a></li>";
  }
  echo "</ul>";*/
  echo $data;  
} ?>
